ApiOzoneFilterSpec (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiOzoneFilterSpec

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiOzoneFilterSpec

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiOzoneFilterSpec
      extends Object

  Listing filter options for Ozone queries.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiOzoneFilterSpec()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `BigDecimal` | `getLength()` Get length
    `String` | `getPrefix()` Get prefix
    `String` | `getStart()` Get start
    `int` | `hashCode()`
    `ApiOzoneFilterSpec` | `length(BigDecimal length)`
    `ApiOzoneFilterSpec` | `prefix(String prefix)`
    `void` | `setLength(BigDecimal length)`
    `void` | `setPrefix(String prefix)`
    `void` | `setStart(String start)`
    `ApiOzoneFilterSpec` | `start(String start)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiOzoneFilterSpec

          public ApiOzoneFilterSpec()

  - ### Method Detail

    - #### prefix

          public ApiOzoneFilterSpec prefix(String prefix)

    - #### getPrefix

          public String getPrefix()

      Get prefix
      Returns:
        prefix

    - #### setPrefix

          public void setPrefix(String prefix)

    - #### start

          public ApiOzoneFilterSpec start(String start)

    - #### getStart

          public String getStart()

      Get start
      Returns:
        start

    - #### setStart

          public void setStart(String start)

    - #### length

          public ApiOzoneFilterSpec length(BigDecimal length)

    - #### getLength

          public BigDecimal getLength()

      Get length
      Returns:
        length

    - #### setLength

          public void setLength(BigDecimal length)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.